dpkg-buildtree(1)

BEZEICHNUNG
dpkg-buildtree - Hilfsprogramm für Baubaumaktionen während des Paketbauens

ÜBERSICHT
dpkg-buildtree [Option…] [Befehl]

BESCHREIBUNG
dpkg-buildtree ist ein Werkzeug, um übliche Aktionen auf dem Baubaum für ein Quellpaket durchzuführen.

Dieses Programm wurde in Dpkg 1.22.3 hinzugefügt.

BEFEHLE

clean
    Entfernt alle während eines Baus durch verschiedene Dpkg-Werkzeuge erstellte Artefakte und verwandte Pfadnamen, die durch Dpkg-Werkzeuge verwandt oder gesteuert und problemlos entfernt werden können. Diese Dateien werden zur Nachverfolgung von Zuständen zwischen Paketbauen verwandt und sind in vielen Fällen interne Implementierungsdetails, um die sich der Paketierer nicht kümmern sollte oder Vorbereitungsverzeichnisse, die Bauartefakte enthalten.

--help
    Zeigt einen Hinweis zum Aufruf und beendet das Programm.

--version
    Gibt die Version aus und beendet das Programm.

DATEIEN

  Bereinigte Dateien

debian/files
debian/files.new
    Durch dpkg-distaddfile(1) erstellte Dateien.

debian/substvars
debian/substvars.new
    Durch dpkg-shlibdeps(1) erstellte Dateien.

debian/tmp
    Vorbereitungsverzeichnis, das die Inhalte enthält, die bei der Erstellung eines Pakets verwandt werden sollen. Sowohl dpkg-gencontrol(1) als auch dpkg-gensymbols(1) erstellen Dateien darin.

BEISPIELE

  Verwendung in debian/rules
Sie können dpkg-buildtree clean vom Ziel debian/rules clean aufrufen, nachdem andere benötigte Bereinigungsaktionen durchgeführt wurden.

Beispiel für ein Autoconf-artiges Bausystem:

  clean:
        [ ! -f Makefile ] || $(MAKE) distclean
        dpkg-buildtree clean

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2023 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.